// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <string>
#include <limits>
using namespace std;

string name {};
string age {};

int main()
{
    cout << "Enter your full name: ";
    getline(cin >> ws, name);
    cout << "Enter your age: ";
    getline(cin >> ws, age);
    cout << "Your name is " << name << " and your age is " << age << '\n';
    cout << "Your name is " << name.length() << " letters long." << '\n';
    
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
